# Class AjaxURLStreamHandler

java.lang.Object
java.net.URLStreamHandler
javajs.util.AjaxURLStreamHandler

public class AjaxURLStreamHandler extends URLStreamHandler
A method to allow a JavaScript AJAX adapter to deliver web content to JSmol. This handler is just a formality.

## Constructor Summary

Constructors
Constructor
Description
`AjaxURLStreamHandler(String protocol)`

## Method Summary

Modifier and Type
Method
Description
`protected URLConnection`
`openConnection(URL url)`
`protected String`
`toExternalForm(URL u)`

### Methods inherited from class URLStreamHandler

`equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AjaxURLStreamHandler

public AjaxURLStreamHandler(String protocol)

## Method Details

### openConnection

protected URLConnection openConnection(URL url) throws IOException

Specified by:
  `openConnection` in class `URLStreamHandler`
Throws:
  `IOException`

### toExternalForm

protected String toExternalForm(URL u)

Overrides:
  `toExternalForm` in class `URLStreamHandler`